Subject: Re: [ire] Extended Verification Process - FQDN step

From: James Mitchell <[email-masked]>
Date: Wed, 3 Apr 2013 02:05:17 +1100

Registries may have a reserved list that contains wild-card characters,
e.g. *profanity* (read: contains the term "profanity"). Assuming entries
to be domain names will either result in validation failures, or
registries will not escrow their reserved lists.

Regardless, I do not understand why I would escrow the reserved list
mandated by ICANN, or the reserved list at all for that matter. I thought
the purpose of escrow was to make sure that we don't lose registration
data (domains, hosts, contacts) and that a registry can be reconstituted
quickly - to an EBERO that cannot accept registrations and thus has no
need for a reserved names list.

Regards,
James

On 27/03/13 12:17 PM, "Gustavo Lozano" <[email-masked]> wrote:

>Hi David,
>
>Comments inline.
>
>Regards,
>Gustavo
>
>On 3/22/13 5:34 AM, "David Kipling" <[email-masked]> wrote:
>
>>Hi Gustavo,
>>
>>At NCC Group we are working on the extended verification process and
>>after speaking with some of our customers and registry backend providers
>>it was unclear as to how the step below could be tested effectively:
>>
>>"An FQDN exists only as a domain name or NNDN."
>>
>>Is this literally that any values in the name element of the domain
>>record should not exist as the value of the aName element of an NNDN
>>record?
>>
>>e.g.
>>
>><rdeDom:name>example1.test</rdeDom:name> means the value of example1.test
>>should not exist as a value of the <rdeNNDN:aName> tag e.g.
>>rdeNNDN:aName>example1.test</rdeNNDN:aName> and vice versa so if the
>>element <rdeNNDN:aName>xn--exampl-gva.test</rdeNNDN:aName> exists then
>><rdeDom:name>xn--exampl-gva.test</rdeDom:name> should not exist in the
>>deposit.
>
>You are correct.
>
> 
>The NNDN object was created to support those registries that
>use a reserved list of names that are not created as domain objects and
>also to
>support the use case of using a name (but not a domain object) to specify
>granular policies regarding IDN variants handling.
>
> 
>If a registry creates reserved names as domain objects with
>an internal registrar for example, such registry may only use domain
>objects.
>
>If a registry handle reserved names as a list of names, such
>registry may use the NNDN object.
>
>If a registry creates variants in blocked or withheld
>state, such registry may use the NNDN object instead of a creating a
>domain
>object.
>
>If a registry creates mirror variants algorithmically, such registry may
>use
>the NNDN to block variants that are not valid.
> 
>
>The registry must choose if the use of a NNDN is appropriate
>based on the design of its SRS. Basically a NNDN is like a light domain
>object
>with no registrar, registrant or NS servers associated to it.
>
>
>Regards,
>Gustavo
>
>>
>>Regards
>>
>>David
>>________________________________
>>
>>David Kipling
>>Solutions Architect
>>NCC Group
>>Manchester Technology Centre,
>>Oxford Road
>>Manchester, M1 7EF
>>
>>Telephone: +44 161 209 5430
>>Mobile:
>>Fax:
>>Website: www.nccgroup.com<http://www.nccgroup.com>
>>Email:  [email-masked]<mailto:[email-masked]>
>>        [http://www.nccgroup.com/media/192418/nccgrouplogo.jpg]
>><http://www.nccgroup.com/>
>>________________________________
>>
>>This email is sent for and on behalf of NCC Group. NCC Group is the
>>trading name of NCC Services Limited (Registered in England CRN:
>>2802141). Registered Office: Manchester Technology Centre, Oxford Road,
>>Manchester, M1 7EF. The ultimate holding company is NCC Group plc
>>(Registered in England CRN: 4627044).
>>
>>Confidentiality: This e-mail contains proprietary information, some or
>>all of which may be confidential and/or legally privileged. It is for the
>>intended recipient only. If an addressing or transmission error has
>>misdirected this e-mail, please notify the author by replying to this
>>e-mail and then delete the original. If you are not the intended
>>recipient you may not use, disclose, distribute, copy, print or rely on
>>any information contained in this e-mail. You must not inform any other
>>person other than NCC Group or the sender of its existence.
>>
>>For more information about NCC Group please visit
>>www.nccgroup.com<http://www.nccgroup.com>
>>
>>P Before you print think about the ENVIRONMENT
>>
>>
>>For more information please visit <a
>>href="http://www.mimecast.com">http://www.mimecast.com<br>
>>This email message has been delivered safely and archived online by
>>Mimecast.
>></a>
>>
>
>_______________________________________________
>ire mailing list
>[email-masked]
>https://www.ietf.org/mailman/listinfo/ire